> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Taxable Location

> Find or create a Taxable Location object in Zeal's system. This request will try to match an existing record with a case-sensitive search.



## OpenAPI

````yaml openapi/zeal-api.json post /taxableLocations
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /taxableLocations:
    post:
      summary: Resolve Taxable Location
      description: Create or get a taxable location.
      operationId: resolve-taxable-location
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - street1
                - city
                - state
                - zip
              properties:
                street1:
                  type: string
                  description: Address Line 1 (Street Name)
                street2:
                  type: string
                  description: Address Line 2 (Apt/Suite). Empty string if not applicable
                city:
                  type: string
                  description: City/Subdivision
                state:
                  type: string
                  description: US State or Territory ( 2 letter abbreviation)
                zip:
                  type: string
                  description: ZIP code (5 digits)
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      taxableLocationID: 609ffdf81a5f9c4c10b0c443
                      street1: 1 Ferry Building
                      street2: ''
                      city: San Francisco
                      state: CA
                      zip: '94111'
                      is_suitable_for_taxation: true
                      is_po_box: false
                      is_state_mismatch: false
                      is_armed_forces_address: false
                      is_foreign_address: false
                      is_deliverable: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      taxableLocationID:
                        type: string
                        example: 609ffdf81a5f9c4c10b0c443
                      street1:
                        type: string
                        example: 1 Ferry Building
                      street2:
                        type: string
                        example: ''
                      city:
                        type: string
                        example: San Francisco
                      state:
                        type: string
                        example: CA
                      zip:
                        type: string
                        example: '94111'
                      is_suitable_for_taxation:
                        type: boolean
                        example: true
                        default: true
                      is_po_box:
                        type: boolean
                        example: false
                        default: true
                      is_state_mismatch:
                        type: boolean
                        example: false
                        default: true
                      is_armed_forces_address:
                        type: boolean
                        example: false
                        default: true
                      is_foreign_address:
                        type: boolean
                        example: false
                        default: true
                      is_deliverable:
                        type: boolean
                        example: true
                        default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: The address provided is not suitable for taxation.
                        code: 34
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: The address provided is not suitable for taxation.
                        code:
                          type: integer
                          example: 34
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````